Subject: Re: bug#68946: [RFC PATCH 0/1] Add logging capability to Guix

From: Maxim Cournoyer <[email-masked]>
Date: Mon, 28 Jul 2025 20:28:06 +0900

Hi Simon,

Simon Tournier <[email-masked]> writes:

> Hi,
>
> On Sat, 24 Feb 2024 at 12:44, Ludovic Courtès <[email-masked]> wrote:
>
>>> I understand the concern, but I think to be able to trace execution
>>> easily at run time with a simple `--log-level=debug' would provide value
>>> enough (as a developer aid) to justify it.
>>
>> Again, I lack imagination; where would you use it today?
>>
>> I think we should only add this facility once it has at least one user.
>> Otherwise people using ‘--log-level’ would be disappointed.  :-)
>
> I propose a candidate: guix pull. ;-) See:
>
>         toward a plan? (was Re: Reducing "You found a bug" reports)
>         Simon Tournier <[email-masked]>
>         Tue, 10 Sep 2024 16:51:09 +0200
>         id:[email-masked]
>         https://lists.gnu.org/archive/html/guix-devel/2024-09
>         https://yhetil.org/guix/[email-masked]

Good idea! Another candidate: 'guix refresh'

Anytime I want to understand what is going on I need to sprinkle tens of
peeks (pk), which is not fun nor efficient.

E.g., just right now, I was curious to know more about what it did try:

guix refresh: warning: updater failed to determine available releases
for pharo

If I visit
https://files.pharo.org/vm/pharo-spur64-headless/Linux-x86_64/source/ it
seems it should be able to infer something.

-- 
Thanks,
Maxim